<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <TextView
        android:id="@+id/tv_agency"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_marginLeft="@dimen/dp_14"
        android:drawableRight="@drawable/icon_arrow_down"
        android:drawablePadding="6dp"
        android:ellipsize="end"
        android:gravity="center"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:text="声部"
        android:textColor="@color/color_666666"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBottom_toBottomOf="@+id/search_view"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/search_view"
        app:layout_constraintTop_toTopOf="@+id/search_view" />

    <View
        android:id="@+id/search_view"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_36"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginStart="5dp"
        android:background="@drawable/bg_white_18dp"
        app:layout_constraintLeft_toRightOf="@+id/tv_agency"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_search_icon"
        android:layout_width="@dimen/dp_16"
        android:layout_height="@dimen/dp_16"
        android:layout_marginLeft="@dimen/dp_17"
        android:src="@mipmap/small_search_icon"
        app:layout_constraintBottom_toBottomOf="@+id/search_view"
        app:layout_constraintLeft_toLeftOf="@+id/search_view"
        app:layout_constraintTop_toTopOf="@+id/search_view" />

    <EditText
        android:id="@+id/search_edit"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_36"
        android:background="@color/transparent"
        android:hint="请输入曲目名称"
        android:paddingLeft="@dimen/dp_41"
        android:textColor="@color/color_333333"
        android:textColorHint="@color/color_999999"
        android:textSize="@dimen/sp_13"
        app:layout_constraintLeft_toLeftOf="@+id/search_view"
        app:layout_constraintRight_toLeftOf="@+id/search_btn"
        app:layout_constraintTop_toTopOf="@+id/search_view" />

    <TextView
        android:id="@+id/search_btn"
        android:layout_width="@dimen/dp_56"
        android:layout_height="@dimen/dp_28"
        android:layout_marginRight="@dimen/dp_4"
        android:background="@drawable/shape_click_btn"
        android:gravity="center"
        android:text="@string/search"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBottom_toBottomOf="@+id/search_view"
        app:layout_constraintRight_toRightOf="@id/search_view"
        app:layout_constraintTop_toTopOf="@+id/search_view" />
</androidx.constraintlayout.widget.ConstraintLayout>